Loading...
Searching...
No Matches
url.h File Reference

Declaration for the ada::url class. More...

`#include <algorithm>`
`#include <optional>`
`#include <ostream>`
`#include <string>`
`#include <string_view>`
`#include "ada/checkers.h"`
`#include "ada/common_defs.h"`
`#include "ada/url_base.h"`
`#include "ada/url_components.h"`
`#include "ada/helpers.h"`

Go to the source code of this file.

## Classes

struct | ada::url
| Represents a parsed URL with individual string components. More...

## Namespaces

namespace | ada

## Functions

std::ostream & | ada::operator<< (std::ostream &out, const ada::url &u)

## Detailed Description

Declaration for the ada::url class.

This file contains the ada::url struct which represents a parsed URL using separate std::string instances for each component. This representation is more flexible but uses more memory than url_aggregator.

See also
  url_aggregator.h for a more memory-efficient alternative

Definition in file url.h.